> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /census/datasets/search

> Search the U.S. Census Bureau dataset catalog by keyword and vintage

**Price:** 20 credits



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/census/datasets/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/census/datasets/search:
    post:
      tags:
        - /census
      summary: /census/datasets/search
      description: |-
        Search the U.S. Census Bureau dataset catalog by keyword and vintage

        **Price:** 20 credits
      operationId: __api_census_datasets_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CensusDatasetsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CensusDataset'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CensusDatasetsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        count:
          type: integer
          minimum: 1
        keyword:
          anyOf:
            - type: string
            - type: 'null'
        vintage:
          anyOf:
            - type: integer
              maximum: 2100
              minimum: 1990
            - type: 'null'
      type: object
      required:
        - count
    CensusDataset:
      properties:
        '@type':
          type: string
          default: CensusDataset
        id:
          type: string
        vintage:
          anyOf:
            - type: integer
            - type: 'null'
        modified_at:
          anyOf:
            - type: string
            - type: 'null'
        dataset:
          anyOf:
            - type: string
            - type: 'null'
        access_url:
          anyOf:
            - type: string
            - type: 'null'
        variables_url:
          anyOf:
            - type: string
            - type: 'null'
        geography_url:
          anyOf:
            - type: string
            - type: 'null'
        groups_url:
          anyOf:
            - type: string
            - type: 'null'
        is_microdata:
          anyOf:
            - type: boolean
            - type: 'null'
        is_available:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````